> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hyperline.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete subscription template

> Delete a subscription template. Fails if a quote template depends on it.



## OpenAPI

````yaml delete /v1/subscriptions/templates/{id}
openapi: 3.1.0
info:
  title: Hyperline API
  version: 0.0.0
servers:
  - url: https://api.hyperline.co
  - url: https://sandbox.api.hyperline.co
security: []
paths:
  /v1/subscriptions/templates/{id}:
    delete:
      tags:
        - Subscriptions > Templates
      summary: Delete subscription template
      description: Delete a subscription template. Fails if a quote template depends on it.
      operationId: deleteSubscriptionTemplate
      parameters:
        - schema:
            type: string
          required: true
          name: id
          in: path
      responses:
        '204':
          description: ''
        '400':
          description: Template is referenced by a quote template
      security:
        - bearer: []
components:
  securitySchemes:
    bearer:
      type: http
      scheme: bearer
      bearerFormat: JWT

````